package com.ruoyi.trade.mapper;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.trade.domain.CTrademark;

/**
 * 中国商标Mapper接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface CTrademarkMapper extends BaseMapper<CTrademark> {
	
    List<Map> listReportApply(CTrademark cTrademark);
    List<Map> listReportReg(CTrademark cTrademark);

    List<Map> listForLast(CTrademark cTrademark);

    List<Map> listReportAct(CTrademark cTrademark);

    Long listReportActSum(String endTime);
    List<Map> listReportAct2(CTrademark cTrademark);

    List<Map> listReportHouse(CTrademark cTrademark);
    

    List<Map> listReportNc(CTrademark cTrademark);
    List<Map> listReportGrowth(CTrademark cTrademark);
    List<Map> listReportNcGrowth(CTrademark cTrademark);
    
    /**
     * 清空商标数据
     */
    void clearData();
    
    
    
    
    
    
}
